Pular para o conteúdo

/api/v1/chat-message-follow-ups (GET)

GET
/api/v1/chat-message-follow-ups
curl --request GET \
--url 'https://api.endless.zaia.app/api/v1/chat-message-follow-ups?pageNumber=1&pageSize=10'

Retrieves multiple chat message follow-ups.

chatIds
Any of:
Array<string>
chatMessageIds
Any of:
Array<string>
pageNumber

The page number.

number
default: 1 >= 1

The page number.

pageSize

The page size.

number
default: 10 >= 1 <= 100

The page size.

statuses
Any of:
Array<string>
Allowed values: pending sent failed cancelled
triggerChatMessageIds
Any of:
Array<string>

Retrieves all chat message follow-ups for the specified filters.

Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
chatId
required

The id of the chat this follow-up belongs to.

string format: uuid
chatMessageId
required

The id of the chat message this follow-up belongs to.

string format: uuid
nullable
dueDate
required

The date and time when the follow-up message should be sent.

string format: date-time
finishedAt
required

The date and time when the follow-up went from pending to any other status.

string format: date-time
nullable
message
required

The follow-up message content.

string
>= 1 characters
reason
required

The reason why the follow-up failed.

string
nullable
status
required

The current status of the follow-up.

string
Allowed values: pending sent failed cancelled
triggerChatMessageId
required

The id of the chat message that triggered the follow-up.

string format: uuid
Example
[
{
"status": "pending"
}
]

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}